Name:           pdfcrack
Version:        0.13
Release:        1
Summary:        A Password Recovery Tool for PDF files
Group:          Applications/System
License:        GPLv2+
URL:            http://pdfcrack.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz.asc
Source2:        %{name}.1
patch0:         %{name}-%{version}-aix.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	patch, make

%description
PDFCrack is a GNU/Linux tool for recovering passwords and content
from PDF-files. It is small, command line driven without external
dependencies.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0

# fake a <stdbool.h> as AIX5L V5.1 and XLC/C++ V7 doesn't have one
cat > stdbool.h << EOF
#ifndef stdbool_h_wrapper
#define stdbool_h_wrapper

typedef enum {false = 0, true = 1} bool;

#endif
EOF


%build
gmake %{?_smp_mflags} CC=xlc_r


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp %{name} ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_mandir}/man1/
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc README COPYING changelog
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Thu Jul 24 2014 Michael Perzl <michael@perzl.org> - 0.13-1
- updated to version 0.13

* Thu Jul 24 2014 Michael Perzl <michael@perzl.org> - 0.12-1
- updated to version 0.12

* Tue Jul 30 2013 Michael Perzl <michael@perzl.org> - 0.11-1
- first version for AIX V5.1 and higher
